> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Followers (/api-reference/fansly/followers/list-followers)

Get the list of followers for a Fansly Account. Followers are accounts that have followed (but not necessarily subscribed to) the creator.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-fansly-docs/openapi.yaml get /api/fansly/{fanslyAccount}/followers
openapi: 3.0.3
info:
  title: Fansly API Documentation
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: Account
    description: Endpoints for your linked Fansly accounts
  - name: Chats
    description: Endpoints for Fansly chats (messaging groups)
  - name: Earnings
    description: Endpoints for Fansly Earnings — wallets, balances, transactions,
      payouts, and statements.
  - name: Followers
    description: Endpoints for Fansly followers.
  - name: Lists
    description: Endpoints for Fansly subscriber/fan lists (e.g. "VIP", "Spenders").
  - name: Profile Statistics
    description: Endpoints for Fansly Profile Statistics (viewer engagement insights).
  - name: Subscribers
    description: Endpoints for Fansly subscribers and subscription tiers.
  - name: Top Supporters
    description: Endpoints for the Fansly "Top Supporters" view — see who spends the
      most and what they spend on.
  - name: Tracking Links
    description: Endpoints for Fansly tracking links — per-source attribution links
      (e.g. "Twitter bio", "FYP", "Search").
  - name: Users
    description: APIs for fetching Fansly users
paths:
  /api/fansly/{fanslyAccount}/followers:
    parameters:
      - in: path
        name: fanslyAccount
        description: The Fansly Account ID
        example: fansly_acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Followers
      operationId: listFollowers
      description: Get the list of followers for a Fansly Account. Followers are
        accounts that have followed (but not necessarily subscribed to) the
        creator.
      parameters:
        - in: query
          name: limit
          description: Number of followers to return (1 - 100). Default = 20
          example: 20
          required: false
          schema:
            type: string
            description: Number of followers to return (1 - 100). Default = 20
            example: 20
        - in: query
          name: offset
          description: Number of followers to skip for pagination. Default = 0
          example: 0
          required: false
          schema:
            type: string
            description: Number of followers to skip for pagination. Default = 0
            example: 0
        - in: query
          name: search
          description: Search followers by username/display name
          example: ""
          required: false
          schema:
            type: string
            description: Search followers by username/display name
            example: ""
        - in: query
          name: last_seen_after
          description: Filter to followers last seen after this timestamp (ISO 8601). The
            Fansly Creator Dashboard "Online" filter passes the moment 15
            minutes ago.
          example: 2026-06-03T18:28:09Z
          required: false
          schema:
            type: string
            description: Filter to followers last seen after this timestamp (ISO 8601). The
              Fansly Creator Dashboard "Online" filter passes the moment 15
              minutes ago.
            example: 2026-06-03T18:28:09Z
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    followers:
                      - id: "500000000000000001"
                        followerId: "600000000000000001"
                      - id: "500000000000000002"
                        followerId: "600000000000000002"
                    aggregationData:
                      accounts:
                        - id: "600000000000000001"
                          username: fanfollower1
                          displayName: null
                          flags: 16
                          version: 1
                          createdAt: 1780400012000
                          followCount: 1
                          subscriberCount: 0
                          statusId: 1
                          lastSeenAt: 1780472357000
                          followsYou: true
                          profileAccess: true
                          userFlags: 2
                        - id: "600000000000000002"
                          username: fanfollower2
                          displayName: Jamie
                          flags: 0
                          version: 3
                          createdAt: 1780290012000
                          followCount: 14
                          subscriberCount: 0
                          statusId: 1
                          lastSeenAt: 1780472357000
                          followsYou: true
                          profileAccess: true
                          userFlags: 2
                    hasMore: false
                  _pagination:
                    next_page: null
                  _meta:
                    _credits:
                      used: 1
                      balance: 10055809
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 5000
                      limit_day: null
                      remaining_minute: 4999
                      remaining_day: null
                      notice: We have decided to remove our daily rate limits. Please remove any
                        references to these in your integrations.
                properties:
                  data:
                    type: object
                    properties:
                      followers:
                        type: array
                        example:
                          - id: "500000000000000001"
                            followerId: "600000000000000001"
                          - id: "500000000000000002"
                            followerId: "600000000000000002"
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              example: "500000000000000001"
                            followerId:
                              type: string
                              example: "600000000000000001"
                      aggregationData:
                        type: object
                        properties:
                          accounts:
                            type: array
                            example:
                              - id: "600000000000000001"
                                username: fanfollower1
                                displayName: null
                                flags: 16
                                version: 1
                                createdAt: 1780400012000
                                followCount: 1
                                subscriberCount: 0
                                statusId: 1
                                lastSeenAt: 1780472357000
                                followsYou: true
                                profileAccess: true
                                userFlags: 2
                              - id: "600000000000000002"
                                username: fanfollower2
                                displayName: Jamie
                                flags: 0
                                version: 3
                                createdAt: 1780290012000
                                followCount: 14
                                subscriberCount: 0
                                statusId: 1
                                lastSeenAt: 1780472357000
                                followsYou: true
                                profileAccess: true
                                userFlags: 2
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: "600000000000000001"
                                username:
                                  type: string
                                  example: fanfollower1
                                displayName:
                                  type: string
                                  example: null
                                  nullable: true
                                flags:
                                  type: integer
                                  example: 16
                                version:
                                  type: integer
                                  example: 1
                                createdAt:
                                  type: integer
                                  example: 1780400012000
                                followCount:
                                  type: integer
                                  example: 1
                                subscriberCount:
                                  type: integer
                                  example: 0
                                statusId:
                                  type: integer
                                  example: 1
                                lastSeenAt:
                                  type: integer
                                  example: 1780472357000
                                followsYou:
                                  type: boolean
                                  example: true
                                profileAccess:
                                  type: boolean
                                  example: true
                                userFlags:
                                  type: integer
                                  example: 2
                      hasMore:
                        type: boolean
                        example: false
                  _pagination:
                    type: object
                    properties:
                      next_page:
                        type: string
                        example: null
                        nullable: true
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 10055809
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 5000
                          limit_day:
                            type: string
                            example: null
                            nullable: true
                          remaining_minute:
                            type: integer
                            example: 4999
                          remaining_day:
                            type: string
                            example: null
                            nullable: true
                          notice:
                            type: string
                            example: We have decided to remove our daily rate limits. Please remove any
                              references to these in your integrations.
      tags:
        - Followers
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````